#ifndef COMMON_PORTING_H__
#define COMMON_PORTING_H__

#include <stdint.h>
#include "user_define.h"
#include "nrf_drv_spi.h"
#include "nrf_drv_twi.h"


#define NRFX_SPIM_SCK_PIN  16
#define NRFX_SPIM_MOSI_PIN 6
#define NRFX_SPIM_MISO_PIN 15
#define NRFX_SPIM_SS_PIN   24
#define NRFX_SPIM_DCX_PIN  30

/* Voltage configurable pins */
#define DD30_VDD_SEL             		NRF_GPIO_PIN_MAP(0, 27)  //NINA_44 VDD_SEL
#define DD30_VDD_PS_EN           	NRF_GPIO_PIN_MAP(0, 3)   //NINA_16 PS_EN1
#define DD30_VDDIO_PS_EN        	NRF_GPIO_PIN_MAP(0, 28)  //NINA_17 PS_EN2 -> toggle VDDIO 1.8V
#define DD30_SPI_CSB              		NRF_GPIO_PIN_MAP(0, 24)   //NINA_5 APP_SPI_CS
#define DD30_SPI_MISO				NRF_GPIO_PIN_MAP(0, 15) 
#define DD30_SPI_MOSI				NRF_GPIO_PIN_MAP(0, 6) 
#define DD30_SPI_SCK				NRF_GPIO_PIN_MAP(0, 16) 

#define DD30_I2C_SDA				NRF_GPIO_PIN_MAP(0, 6) 
#define DD30_I2C_SCL				NRF_GPIO_PIN_MAP(0, 16) 

#define BMI270_HEARABLE_CD				NRF_GPIO_PIN_MAP(0, 6) 
#define BMI270_HEARABLE_LSCTRL			NRF_GPIO_PIN_MAP(0, 26) 
#define BMI270_HEARABLE_SPI_MISO		NRF_GPIO_PIN_MAP(0, 16) 
#define BMI270_HEARABLE_SPI_MOSI		NRF_GPIO_PIN_MAP(0, 15) 
#define BMI270_HEARABLE_SPI_SCK			NRF_GPIO_PIN_MAP(0, 24) 
#define BMI270_SPI_CSB              			NRF_GPIO_PIN_MAP(0, 25)

struct imu_sens_axes_data
{
    int16_t accel_x;
    int16_t accel_y;
    int16_t accel_z;
	int16_t gyro_x;
    int16_t gyro_y;
    int16_t gyro_z;
};

void DelayUs(uint32_t Delay);
void Open_Power(void);
void spi_event_handler(nrf_drv_spi_evt_t const * p_event,void * p_context);

void DD30_SPI_Enable(bool flag);
int8_t SPI_Init(void);
int8_t DD30_SensorAPI_SPIx_Read(uint8_t dev_addr, uint8_t reg_addr, uint8_t *reg_data, uint16_t count);
int8_t DD30_SensorAPI_SPIx_Write(uint8_t dev_addr, uint8_t reg_addr, uint8_t *reg_data,uint16_t count);

int8_t I2C_Init(void);
int8_t DD30_SensorAPI_I2C_Write(uint8_t slaveAddr, uint8_t regAddr, uint8_t *pData, uint16_t dataLen);
int8_t DD30_SensorAPI_I2C_Read(uint8_t slaveAddr, uint8_t regAddr, uint8_t *pData, uint16_t dataLen);




#endif
